Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.xml
Class QDomDocumentType

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.xml.QDomNode
                  com.trolltech.qt.xml.QDomDocumentType

All Implemented Interfaces:
  QtJambiInterface

    public class QDomDocumentType

extends QDomNode

The `QDomDocumentType` class is the representation of the DTD in the document tree.

The `QDomDocumentType` class allows read-only access to some of the data structures in the DTD: it can return a map of all `entities` and `notations`. In addition the function `name` returns the name of the document type as specified in the &lt;!DOCTYPE name&gt; tag. This class also provides the `publicId`, `systemId` and `internalSubset` functions.

See Also:
  `QDomDocument`

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.xml.QDomNode
`QDomNode.EncodingPolicy, QDomNode.NodeType`

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.AbstractSignal, QSignalEmitter.Signal0, QSignalEmitter.Signal1<A>, QSignalEmitter.Signal2<A,B>, QSignalEmitter.Signal3<A,B,C>, QSignalEmitter.Signal4<A,B,C,D>, QSignalEmitter.Signal5<A,B,C,D,E>, QSignalEmitter.Signal6<A,B,C,D,E,F>, QSignalEmitter.Signal7<A,B,C,D,E,F,G>, QSignalEmitter.Signal8<A,B,C,D,E,F,G,H>, QSignalEmitter.Signal9<A,B,C,D,E,F,G,H,I>`

Constructor Summary
`QDomDocumentType()` Creates an empty `QDomDocumentType` object.
`QDomDocumentType(QDomDocumentType x)` Constructs a copy of `x`.

Method Summary
`QDomNamedNodeMap` | `entities()` Returns a map of all entities described in the DTD.
`static QDomDocumentType` | `fromNativePointer(QNativePointer nativePointer)` This function returns the QDomDocumentType instance pointed to by nativePointer
`java.lang.String` | `internalSubset()` Returns the internal subset of the document type or an empty string if there is no internal subset.
`java.lang.String` | `name()` Returns the name of the document type as specified in the &lt;!DOCTYPE name&gt; tag.
`static QNativePointer` | `nativePointerArray(QDomDocumentType[] array)` This function returns a QNativePointer that is pointing to the specified QDomDocumentType array.
`QDomNamedNodeMap` | `notations()` Returns a map of all notations described in the DTD.
`java.lang.String` | `publicId()` Returns the public identifier of the external DTD subset or an empty string if there is no public identifier.
`java.lang.String` | `systemId()` Returns the system identifier of the external DTD subset or an empty string if there is no system identifier.

Methods inherited from class com.trolltech.qt.xml.QDomNode
`appendChild, childNodes, clear, cloneNode, cloneNode, columnNumber, equals, firstChild, firstChildElement, firstChildElement, hasAttributes, hasChildNodes, insertAfter, insertBefore, isAttr, isCDATASection, isCharacterData, isComment, isDocument, isDocumentFragment, isDocumentType, isElement, isEntity, isEntityReference, isNotation, isNull, isProcessingInstruction, isSupported, isText, lastChild, lastChildElement, lastChildElement, lineNumber, localName, namedItem, namespaceURI, nativePointerArray, nextSibling, nextSiblingElement, nextSiblingElement, nodeName, nodeType, nodeValue, normalize, ownerDocument, parentNode, prefix, previousSibling, previousSiblingElement, previousSiblingElement, removeChild, replaceChild, save, save, setNodeValue, setPrefix, toAttr, toCDATASection, toCharacterData, toComment, toDocument, toDocumentFragment, toDocumentType, toElement, toEntity, toEntityReference, toNotation, toProcessingInstruction, toText, writeTo`

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`clone, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QDomDocumentType

    public QDomDocumentType()

  Creates an empty `QDomDocumentType` object.

### QDomDocumentType

    public QDomDocumentType(QDomDocumentType x)

  Constructs a copy of `x`.

  The data of the copy is shared (shallow copy): modifying one node will also change the other. If you want to make a deep copy, use `cloneNode`.

Method Detail

### entities

    public final QDomNamedNodeMap entities()

  Returns a map of all entities described in the DTD.

### internalSubset

    public final java.lang.String internalSubset()

  Returns the internal subset of the document type or an empty string if there is no internal subset.

  See Also:
    `publicId`, `systemId`

### name

    public final java.lang.String name()

  Returns the name of the document type as specified in the &lt;!DOCTYPE name&gt; tag.

  See Also:
    `nodeName`

### notations

    public final QDomNamedNodeMap notations()

  Returns a map of all notations described in the DTD.

### publicId

    public final java.lang.String publicId()

  Returns the public identifier of the external DTD subset or an empty string if there is no public identifier.

  See Also:
    `systemId`, `internalSubset`, `QDomImplementation::createDocumentType`

### systemId

    public final java.lang.String systemId()

  Returns the system identifier of the external DTD subset or an empty string if there is no system identifier.

  See Also:
    `publicId`, `internalSubset`, `QDomImplementation::createDocumentType`

### fromNativePointer

    public static QDomDocumentType fromNativePointer(QNativePointer nativePointer)

  This function returns the QDomDocumentType instance pointed to by nativePointer

  Parameters:
    `nativePointer` - the QNativePointer of which object should be returned.

### nativePointerArray

    public static QNativePointer nativePointerArray(QDomDocumentType[] array)

  This function returns a QNativePointer that is pointing to the specified QDomDocumentType array.

  Parameters:
    `array` - the array that the returned pointer will point to.
  Returns:
    a QNativePointer that is pointing to the specified array.

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD